Bug 440482 - dbus 1.0.0-6.3.el5_1 breaks virt-manager network interface selection
dbus 1.0.0-6.3.el5_1 breaks virt-manager network interface selection
Status: CLOSED DUPLICATE of bug 436276
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dbus (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: David Zeuthen
desktop-bugs@redhat.com
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 14:35 EDT by Adam Stokes
Modified: 2013-03-05 22:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 15:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2008-04-03 14:35:45 EDT
Description of problem:
Unable to select network device during virt-manager creation

Version-Release number of selected component (if applicable):
dbus 1.0.0-6.3.el5_1

How reproducible:
100%

Steps to Reproduce:
 - Run virt-manager
   - Create a new virtual machine
   - At the "Connect to Host" step, select "Shard physical device"
     => The list is empty
  
Actual results:
     ERROR    Unable to connect to HAL to list network devices:
'%s'dbus_bindings.DBusException A security policy in place prevents this sender
from sending this message to this recipient, see message bus configuration file
(rejected message had interface "(unset)" membe
   r "QueryCapability" error name "(unset)" destination "org.freedesktop.Hal")
   Traceback (most recent call last):
     File "/usr/share/virt-manager/virtManager/connection.py", line 104, in
detect_network_devices
       self._device_added(path)
     File "/usr/share/virt-manager/virtManager/connection.py", line 115, in
_device_added
       if obj.QueryCapability("net"):
     File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 25, in __call__
       ret = self._proxy_method (*args, **keywords)
     File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 102, in __call__
       reply_message = self._connection.send_with_reply_and_block(message, timeout)
     File "dbus_bindings.pyx", line 455, in
dbus_bindings.Connection.send_with_reply_and_block
   DBusException: A security policy in place prevents this sender from sending
this message to this recipient, see message bus configuration file (rejected
message had interface "(unset)" member "QueryCapability" error name "(unset)"
destination "org.freedesktop.Hal")

   ERROR    Unable to connect to HAL to list cdrom volumes: 'A security policy
in place prevents this sender from sending this message to this recipient, see
message bus configuration file (rejected message had interface "(unset)" member
"GetPropertyBoolean" error name "(unset)" destination "org.freedesktop.Hal")'

Expected results:
Allow to choose device

Additional info:
Seems to be a result of
       2008-02-25 22:00:00
   David Zeuthen <davidz@redhat.com> - 1.0.0-6.3.el5_1:
   - CVE-2008-0595: D-Bus security policy circumvention
   - Resolves: #432437

But I have no access to that BZ.
Comment 1 RHEL Product and Program Management 2008-04-03 14:43:15 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 2 David Zeuthen 2008-04-03 14:55:46 EDT
Talked to Dan offline and decided this needs to be fixed in virt-manager /
libvirt... Dan?
Comment 4 David Mair 2008-04-08 15:16:18 EDT

*** This bug has been marked as a duplicate of 436276 ***

Note You need to log in before you can comment on or make changes to this bug.